### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# tools.growl

## Module: `tools.growl`

Inheritance diagram for `IPython.tools.growl`:

## Classes

### `IPythonGrowlError`

class `IPython.tools.growl.``IPythonGrowlError`

  Bases: `exceptions.Exception`

  `__init__`()
    x.__init__(...) initializes x; see x.__class__.__doc__ for signature

### `Notifier`

class `IPython.tools.growl.``Notifier`(app_name)

  Bases: `object`

  `__init__`(app_name)
  `notify`(title, msg)
  `notify_deferred`(r, msg)

## Functions

`IPython.tools.growl.``notify`(title, msg)

`IPython.tools.growl.``notify_deferred`(r, msg)

`IPython.tools.growl.``start`(app_name)

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »